let table;

function preload() {
    table = loadTable(
        "https://gist.githubusercontent.com/olga-kondr/952bf1986c1237cb65dfa52e96695cac/raw/b89456cc5bb5d8f1388e9c7ed3a92fce07745abb/money_earned.csv", 
        "csv", 
        "header"
    );
}

function setup() {
    createCanvas(800, 300);
    background(250);
}
  
function draw() {
    noStroke();
    fill(150, 150, 150);
    textSize(16);
    text('Tickets Sold for the Movie of the Year', 280, 40);
    textSize(12);

    noStroke();
    fill(150, 150, 150);
    text('for 1995 - 2021 year period.', 330, 70);

    noStroke();
    text('1 m', 40, 215);
    text('3.16 m', 140, 215);
    text('10 m', 240, 215);
    text('31.6 m', 340, 215);
    text('100 m', 440, 215);
    text('316 m', 540, 215);
    text('1000 m', 640, 215);

    stroke(color(190, 190, 190));
    line(40, 180, 40, 220);
    line(140, 180, 140, 220);
    line(240, 180, 240, 220);
    line(340, 180, 340, 220);
    line(440, 180, 440, 220);
    line(540, 180, 540, 220);
    line(640, 180, 640, 220);
  
    noStroke();
    let plot_start = 300;
    let y = 0;
    let x = 0;
    for (let r = 0; r < table.getRowCount(); r++) {
        let rowIndex = table.getRowCount() - r - 1;
        stroke(color(190, 190, 190));
        y = 200;
        line(295, y, 780, y)
        noStroke();
        fill('green')
        amount = table.get(rowIndex,1); 
        let val = Math.log10(amount/1000000);
      if (val >= 2 & val < 2.5) {
        let temp_val = val - 2; 
        x = 440 + temp_val * 100 / 0.5;
      }
      if (val >= 2.5 & val < 3) {
        let temp_val = val - 2.5; 
        x = 540 + temp_val * 100 / 0.5;
      }   
        circle(x, y, 8);
        fill(150, 150, 150);
    }
    stroke(color(0, 0, 0));
    line(20, 200, 780, 200);
    noStroke();
    textSize(16);
    text('Tickets Sold in Millions', 330, 290);
    textSize(12);
}
